JAMA

# Class: SingularValueDecomposition

Source Location: /PHPExcel/Shared/JAMA/SingularValueDecomposition.php

### Class Overview

#### Author(s):

- Paul Meagher

#### Version:

- 1.1

### Methods

- __construct
- cond
- getS
- getSingularValues
- getU
- getV
- norm2
- rank

### Class Details

[line 20]

#### Tags:

author: | Paul Meagher
version: | 1.1
license: | PHP

[ Top ]

### Class Methods

### constructor __construct [line 61]

`Structure __construct( $A $Arg)`

Construct the singular value decomposition

Derived from LINPACK code.

#### Tags:

return: | to access U, S and V.
access: | public

#### Parameters:

$A | $Arg | Rectangular matrix

[ Top ]

### method cond [line 503]

`max(S)/min(S) cond( )`

Two norm condition number

#### Tags:

access: | public

[ Top ]

### method getS [line 475]

`S getS( )`

Return the diagonal matrix of singular values

#### Tags:

access: | public

[ Top ]

### method getSingularValues [line 464]

`diagonal getSingularValues( )`

Return the one-dimensional array of singular values

#### Tags:

return: | of S.
access: | public

[ Top ]

### method getU [line 442]

`U getU( )`

Return the left singular vectors

#### Tags:

access: | public

[ Top ]

### method getV [line 453]

`V getV( )`

Return the right singular vectors

#### Tags:

access: | public

[ Top ]

### method norm2 [line 492]

`max(S) norm2( )`

Two norm

#### Tags:

access: | public

[ Top ]

### method rank [line 514]

`Number rank( )`

Effective numerical matrix rank

#### Tags:

return: | of nonnegligible singular values.
access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:45 +0200 by phpDocumentor 1.4.4